Bug 29395 - in german keymap, the euro.inc isn't included and default font doesn't give euro sign and cent.
in german keymap, the euro.inc isn't included and default font doesn't give e...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-25 11:13 EST by Jens Lautenbacher
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 12:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Lautenbacher 2001-02-25 11:13:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.17-14 i586; en-US; 0.9)
Gecko/20010224


In the default install, when choosing a german keymap, the altgr-e should
give the euro sign and altgr-c the cent. for this the euro.inc keymap
should be included in (at least) the european keymaps by default. also a
latin-0 fonts should be used by default (it seems that this isn't the case)

Reproducible: Always
Steps to Reproduce:
type altgr-e and altgr-c
Comment 1 Jens Lautenbacher 2001-02-25 11:18:43 EST
Fixing this for myself for the console was easy (loading the euro.inc and
latin0-16 as the font --- by the way, it seems that lat0-14 has a bug, too: the
"'" doesn't kome up when I press shift-3 [german keyboard]) but how to make this
work for X11? I don't even know which component to choose to report it as an X11
bug. Is this really a RedHat problem or is it an XFree problem or a problem with
the fonts? dunno.
Comment 2 Bernhard Rosenkraenzer 2001-02-25 11:27:18 EST
de-latin1 and de-latin1-nodeadkeys do include euro.inc; use those.
The default font is set by anaconda; I agree it should be a latin0 font for
European languages. Reassigning...

X keymaps and fonts come from XFree86, please file any problems under that
component.
Comment 3 Brent Fox 2001-02-28 15:37:26 EST
Trond, can you give me some direction on this one?
Comment 4 Trond Eivind Glomsrxd 2001-03-01 16:42:16 EST
We don't have one of those keyboards - Bero, can you help Brent
Comment 5 Jens Lautenbacher 2001-03-01 18:25:11 EST
OK, some remarks that may help to clarify the situation a bit: 

1) the sign that didn't work (see my second post) on shift-3 is the paragraph
sign, not the "'" as it shows up here for me (on mozilla). 

2) the main probelm is two fold: first of all, despite what Bero says, the
de-latin1-nodeadkeys (which I am using) doesn't define the CENT sign correctly,
despite it including the euro.map (maybe there is some double definition here?)
The character it produces is the copyright sign. The second problem is with the
wrong default font -- a latin0 font should be the default at least in europe (Is
there any reason at all not to use a latin0 font instead of a latin1?). 
Of course fixing the second problem is needed before one can see the first at
all -- if there's no glyph in the font, a bad or good keymap doesn't make THAT
big a difference. After I loaded the right font, the keymap shows the euro sign,
but not the CENT (as descibed above), until I finally load the euro.inc map ---
now everything works.

Comment 6 Glen Foster 2001-03-02 13:05:14 EST
Our installer team-lead thinks we should really fix this before next release.
Comment 7 Brent Fox 2001-03-02 17:28:15 EST
What is the difference between latin0 and latin1 fonts?
Comment 8 Brent Fox 2001-03-06 12:23:21 EST
Does the problem still exist with the Wolverine beta?  These changes may have
been fixed in the newer XFree 4 releases.
Comment 9 Brent Fox 2001-03-09 11:10:02 EST
I'm not getting much feedback here.......
Comment 10 Trond Eivind Glomsrxd 2001-03-09 12:23:15 EST
I'm not sure what latin0 is - latin9 is latin1 + euro.
Comment 11 Trond Eivind Glomsrxd 2001-03-09 12:54:47 EST
The fonts seem correct - however, anaconda should write SYSFONTACM="iso15"
instead of "iso01" which it is currently writing.
Comment 12 Trond Eivind Glomsrxd 2001-03-09 13:47:13 EST
This has been fixed, and should already be OK in CVS... I'll move a couple of
other languages as well.

Note You need to log in before you can comment on or make changes to this bug.